From 8f2065174875ab6963b40eb9012c65bc28481d37 Mon Sep 17 00:00:00 2001
From: Kamil Klimek <naresh@tlen.pl>
Date: Mon, 5 Jul 2010 09:34:45 +0200
Subject: [PATCH] support for stream size in imem access module

---
 modules/access/imem.c |    9 +++++++++
 1 files changed, 9 insertions(+), 0 deletions(-)

diff --git a/modules/access/imem.c b/modules/access/imem.c
index 035f704..650f527 100644
--- a/modules/access/imem.c
+++ b/modules/access/imem.c
@@ -115,6 +115,10 @@ static const char *cat_texts[] = {
 #define RELEASE_LONGTEXT N_(\
     "Address of the release callback function")
 
+#define SIZE_TEXT N_("Size")
+#define SIZE_LONGTEXT N_(\
+    "Size of stream in bytes")
+
 vlc_module_begin()
     set_shortname(N_("Memory input"))
     set_description(N_("Memory input"))
@@ -170,6 +174,10 @@ vlc_module_begin()
         change_private()
         change_safe()
 
+    add_integer ("imem-size", "0", NULL, SIZE_TEXT, SIZE_LONGTEXT, true)
+        change_private()
+        change_safe()
+
     add_shortcut("imem")
     set_capability("access_demux", 0)
     set_callbacks(OpenDemux, CloseDemux)
@@ -315,6 +323,7 @@ static int OpenAccess(vlc_object_t *object)
     access->pf_block   = Block;
     access->pf_seek    = NULL;
     access->p_sys      = (access_sys_t*)sys;
+    access->info.i_size = var_InheritInteger(object, "imem-size");
 
     return VLC_SUCCESS;
 }
-- 
1.7.1.1923.gc1c7c

